Bug 151699 - webpages written with document.write of javascript does not show images if you come back with the backward-button of firefox
webpages written with document.write of javascript does not show images if yo...
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Christopher Aillon
Depends On:
  Show dependency treegraph
Reported: 2005-03-21 14:29 EST by Fred Harthoorn
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-04-13 03:08:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Fred Harthoorn 2005-03-21 14:29:32 EST
Description of problem:
If you use document.write() in javascript to create a webpage, you get problems
with the 'backward-button', the 'forward-button' and the 'reload-button' if you
are using the combination Linux, Firefox, Images will not be reloaded. 

Version-Release number of selected component (if applicable):

How reproducible: create a webpage with:

function writepage()
  var picture= "'./someimage.gif'"
doc.writeln("<br><img src=", picture, " width=24 height=22 border=0>")	
doc.writeln("<br>Go now to another site and come back with the 'backward-button'
and try also the reload button.")
doc.writeln("  </body>")

function initializeThis()

{	doc = top.firstframe.window.document





   <script language="JavaScript1.2" src="./webpage.js"></script>


<FRAMESET cols="235,*" onLoad="setTimeout('top.initializeThis()',1000)">  

        <FRAME src="./firstframe.html" name="treeframe"> 

  <!--      <FRAME src="./secondframe.html" name="home"> not relevant -->





Steps to Reproduce:
1. create the files webpage.html, index.html, firstframe.html and
create a picture file: "someimage.gif"
2. use apache-sever and place the files in the /var/www/html directory
3. use a client-machine with linux-os and firefox browser
Actual results:
You see the picture, go to another site and come back
with the backward-button, than the picture is vanished from the page
Try now the refresh button and the picture will not become visible.

Expected results: 
the picture should stay

Additional info:

This is a serious bug. I suppose it is in all Mozilla browsers.
and it has to do with "The same origin policy", see:
Comment 1 Fred Harthoorn 2005-03-21 15:12:17 EST
The combinations I have tested are:
W2k IE.6               no problem
W2k Firefox 1.0        no problem
FC3 Firefoc 1.0.1      this combination behaves wrong.

Comment 2 Matthew Miller 2006-07-10 16:10:47 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 3 Matthew Miller 2007-04-06 11:06:11 EDT
Fedora Core 3 and Fedora Core 4 are no longer supported. If you could retest
this issue on a current release or on the latest development / test version, we
would appreciate that. Otherwise, this bug will be marked as CANTFIX one month
from now. Thanks for your help and for your patience.

Note You need to log in before you can comment on or make changes to this bug.